This repository contains the boilerplate package which I use to start most of my smaller Typescript
projects. It is "primitive" in that it doesn't have hot module reloading or VSCode integration;
instead, it runs the build process using a watcher that enables fast iteration via the command line.
This boilerplate is focused on web components, primarily those build with [Lit](https://lit.dev).

## Dependencies

Aside from the NodeJS dependencies, this script uses
[codespell](https://github.com/codespell-project/codespell), which is a Python-based spell checker
for comments and documentation.

## Decisions:

- TSC is still the best analyzer of Typescript's types.
- Scripting ESBuild gives you enormous power.
- Many of the commands have the `${NODE_RUNNER}` prefix.  If you set `export NODE_RUNNER=bun`, you
  can get a huge speedup in building and linting.
- Knip makes sure you're not importing anything you're not using.
- As this is a Lit-focused project, both Lit-Analyzer and WC-Analyzer are included
- xo
